MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001376VCMIMechanics - Battlespublic2013-07-22 17:262016-02-02 02:39
ReporterIvan 
Assigned Tovmarkovtsev 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target VersionFixed in Version0.98g 
Summary0001376: Unit defence decreases damage done by turrets
DescriptionIn H3 damage done by turrets can't be decreased by anything (not counting Air shield bug).

In VCMI this damage can be reduced by defense stat of the target. This may be what player expects to see but it also make turrets less useful than in H3.

What we should do with this? I see 3 ways:
- Leave it as it. It is not a bug, it is a feature, etc, etc, etc. Certainly easiest solution :)

- Buff turrets a bit - give them bigger damage or "Ignore defence" bonus from Behemots.

- Give them custom "raw damage" bonus or just hardcode this. Will give most similar to H3 results but somebody will need tom implement this.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006249)
SXX (administrator)
2016-01-06 12:16

Still present in current git and need fixing.
(0006400)
vmarkovtsev (developer)
2016-02-01 15:07

https://github.com/vcmi/vcmi/pull/188 [^]

- Issue History
Date Modified Username Field Change
2013-07-22 17:26 Ivan New Issue
2016-01-06 12:16 SXX Note Added: 0006249
2016-02-01 13:21 vmarkovtsev Assigned To => vmarkovtsev
2016-02-01 13:21 vmarkovtsev Status new => assigned
2016-02-01 15:07 vmarkovtsev Note Added: 0006400
2016-02-02 02:39 SXX Status assigned => resolved
2016-02-02 02:39 SXX Fixed in Version => 0.98g
2016-02-02 02:39 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean